BSL430.NET 1.2.1

Public Attributes | List of all members
FTD2XX_NET.FTDI.FT_232H_CBUS_OPTIONS Class Reference

Available functions for the FT232H CBUS pins. Controlled by FT232H EEPROM settings More...

## Public Attributes
const byte | FT_CBUS_TRISTATE = 0x00
| FT232H CBUS EEPROM options - Tristate More...
const byte | FT_CBUS_RXLED = 0x01
| FT232H CBUS EEPROM options - Rx LED More...
const byte | FT_CBUS_TXLED = 0x02
| FT232H CBUS EEPROM options - Tx LED More...
const byte | FT_CBUS_TXRXLED = 0x03
| FT232H CBUS EEPROM options - Tx and Rx LED More...
const byte | FT_CBUS_PWREN = 0x04
| FT232H CBUS EEPROM options - Power Enable# More...
const byte | FT_CBUS_SLEEP = 0x05
| FT232H CBUS EEPROM options - Sleep More...
const byte | FT_CBUS_DRIVE_0 = 0x06
| FT232H CBUS EEPROM options - Drive pin to logic 0 More...
const byte | FT_CBUS_DRIVE_1 = 0x07
| FT232H CBUS EEPROM options - Drive pin to logic 1 More...
const byte | FT_CBUS_IOMODE = 0x08
| FT232H CBUS EEPROM options - IO Mode More...
const byte | FT_CBUS_TXDEN = 0x09
| FT232H CBUS EEPROM options - Tx Data Enable More...
const byte | FT_CBUS_CLK30 = 0x0A
| FT232H CBUS EEPROM options - 30MHz clock More...
const byte | FT_CBUS_CLK15 = 0x0B
| FT232H CBUS EEPROM options - 15MHz clock More...
const byte | FT_CBUS_CLK7_5 = 0x0C

## Detailed Description

Available functions for the FT232H CBUS pins. Controlled by FT232H EEPROM settings

## Member Data Documentation

## ◆ FT_CBUS_CLK15

const byte FTD2XX_NET.FTDI.FT_232H_CBUS_OPTIONS.FT_CBUS_CLK15 = 0x0B

FT232H CBUS EEPROM options - 15MHz clock

## ◆ FT_CBUS_CLK30

const byte FTD2XX_NET.FTDI.FT_232H_CBUS_OPTIONS.FT_CBUS_CLK30 = 0x0A

FT232H CBUS EEPROM options - 30MHz clock

## ◆ FT_CBUS_CLK7_5

const byte FTD2XX_NET.FTDI.FT_232H_CBUS_OPTIONS.FT_CBUS_CLK7_5 = 0x0C

FT232H CBUS EEPROM options - 7.5MHz clock

## ◆ FT_CBUS_DRIVE_0

const byte FTD2XX_NET.FTDI.FT_232H_CBUS_OPTIONS.FT_CBUS_DRIVE_0 = 0x06

FT232H CBUS EEPROM options - Drive pin to logic 0

## ◆ FT_CBUS_DRIVE_1

const byte FTD2XX_NET.FTDI.FT_232H_CBUS_OPTIONS.FT_CBUS_DRIVE_1 = 0x07

FT232H CBUS EEPROM options - Drive pin to logic 1

## ◆ FT_CBUS_IOMODE

const byte FTD2XX_NET.FTDI.FT_232H_CBUS_OPTIONS.FT_CBUS_IOMODE = 0x08

FT232H CBUS EEPROM options - IO Mode

## ◆ FT_CBUS_PWREN

const byte FTD2XX_NET.FTDI.FT_232H_CBUS_OPTIONS.FT_CBUS_PWREN = 0x04

FT232H CBUS EEPROM options - Power Enable#

## ◆ FT_CBUS_RXLED

const byte FTD2XX_NET.FTDI.FT_232H_CBUS_OPTIONS.FT_CBUS_RXLED = 0x01

FT232H CBUS EEPROM options - Rx LED

## ◆ FT_CBUS_SLEEP

const byte FTD2XX_NET.FTDI.FT_232H_CBUS_OPTIONS.FT_CBUS_SLEEP = 0x05

FT232H CBUS EEPROM options - Sleep

## ◆ FT_CBUS_TRISTATE

const byte FTD2XX_NET.FTDI.FT_232H_CBUS_OPTIONS.FT_CBUS_TRISTATE = 0x00

FT232H CBUS EEPROM options - Tristate

## ◆ FT_CBUS_TXDEN

const byte FTD2XX_NET.FTDI.FT_232H_CBUS_OPTIONS.FT_CBUS_TXDEN = 0x09

FT232H CBUS EEPROM options - Tx Data Enable

## ◆ FT_CBUS_TXLED

const byte FTD2XX_NET.FTDI.FT_232H_CBUS_OPTIONS.FT_CBUS_TXLED = 0x02

FT232H CBUS EEPROM options - Tx LED

## ◆ FT_CBUS_TXRXLED

const byte FTD2XX_NET.FTDI.FT_232H_CBUS_OPTIONS.FT_CBUS_TXRXLED = 0x03

FT232H CBUS EEPROM options - Tx and Rx LED

The documentation for this class was generated from the following file:

- C:/PROJECTS/C#/BSL430.NET/src/BSL430.NET/FTD2XX_NET.cs